PULSAR
API ReferenceProduction Advancements

Get Production Advancements

List production advancements.

Authorization

bearerAuth
Authorization<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

Try it live
POST
/production-advancements/filters

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/production-advancements/filters" \  -H "Content-Type: application/json" \  -d '{}'
[  {    "shift": {      "endTime": "string",      "startTime": "string",      "title": "string",      "id": 0.1    },    "countEdited": true,    "countingFactor": 0.1,    "rawMaterials": [      {        "productionAdvancementId": "string",        "companyId": 0.1,        "name": "string",        "id": "string"      }    ],    "qualityIssueId": "string",    "defectReason": "string",    "idealSpeedByHour": 0,    "skuUnit": "string",    "skuName": "string",    "skuDescription": "string",    "sku": "string",    "skuId": "string",    "work": "string",    "workOrderStatus": "string",    "workOrderId": "string",    "operatorLastName": "string",    "operatorFullName": "string",    "operatorFirstName": "string",    "machineName": "string",    "deletedAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "simpleWorkOrderId": "string",    "workOrderAndSkuId": "string",    "operatorId": 0,    "machineId": 0.1,    "isAutomated": true,    "isReviewed": true,    "live": true,    "end": "2019-08-24T14:15:22Z",    "start": "2019-08-24T14:15:22Z",    "nominalSpeed": 0,    "count": 0.1,    "sensorCount": 0.1,    "type": "total",    "id": "string"  }]